package com.bankaudit.dao;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.MaintRiskWeightage;

public interface MaintRiskWeightageDao extends Dao {
	DataTableResponse getAllMaintRiskWeightage(String search, Integer orderColumn, String orderDirection, Integer page,
			Integer size,Integer legalEntityCode);

	void deleteMaintRiskWeightage(Integer legalEntityCode, String riskWeightageCode, String riskWeightageType,
			String statusAuth);

	Boolean isMaintRiskWeightage(Integer legalEntityCode, String riskWeightageCode, String riskWeightageType);
	
	Boolean validateScore(MaintRiskWeightage maintRiskWeightage);
}
